Skip to the page

What the organisation wants to set up (owner or admin), or hide the checklist

PUT/v1/organisations/{id}/onboarding

Operation organisations.onboarding · since 2026-11-05 · stable

Needs a session withwritescopeAnswers200 OK

Path parameters

idstring (uuid)required
The organisation id.

Body (JSON)

goalsarray of "ai_company", "email", "site", "files"optional
What the organisation wants to set up, in order (owners and admins).
hiddenbooleanoptional
Hide the checklist (anyone in the organisation).

Errors

Every error is { "error", "message", "detail"? } (Errors and references). Besides the codes any route can answer.

PUT/v1/organisations/{id}/onboarding
curl -X PUT "https://api.rykloud.com/v1/organisations/$ORG_ID/onboarding" \
  -H "Authorization: Bearer $RYKLOUD_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "goals": [
    "site",
    "email"
  ]
}'